# Class InternalHyperlink

#### Hierarchy

- ConcreteHyperlink
  - InternalHyperlink

- Defined in src/file/paragraph/links/hyperlink.ts:35

#####
Index

### Constructors

constructor

### Properties

linkId

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new InternalHyperlink(options: {
  anchor: string;
  children: readonly ParagraphChild[];
  }): InternalHyperlink

- #### Parameters

  - ##### options: {
    anchor: string;
    children: readonly ParagraphChild[];
    }

    - ##### `Readonly` anchor: string

    - ##### `Readonly` children: readonly ParagraphChild[]

  #### Returns InternalHyperlink

  Overrides ConcreteHyperlink.constructor

  - Defined in src/file/paragraph/links/hyperlink.ts:36

## Properties

### `Readonly` linkId

linkId: string

Inherited from ConcreteHyperlink.linkId

- Defined in src/file/paragraph/links/hyperlink.ts:14

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from ConcreteHyperlink.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from ConcreteHyperlink.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc